
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/drm/Makefile |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

diff -puN drivers/char/drm/Makefile~git-drm-via-fixup drivers/char/drm/Makefile
--- 25/drivers/char/drm/Makefile~git-drm-via-fixup	2005-06-28 19:04:51.000000000 -0700
+++ 25-akpm/drivers/char/drm/Makefile	2005-06-28 19:05:14.000000000 -0700
@@ -18,6 +18,7 @@ i915-objs   := i915_drv.o i915_dma.o i91
 radeon-objs := radeon_drv.o radeon_cp.o radeon_state.o radeon_mem.o radeon_irq.o
 ffb-objs    := ffb_drv.o ffb_context.o
 sis-objs    := sis_drv.o sis_ds.o sis_mm.o
+via-objs    := via_irq.o via_drv.o via_ds.o via_map.o via_mm.o via_dma.o via_verifier.o via_video.o
 
 ifeq ($(CONFIG_COMPAT),y)
 drm-objs    += drm_ioc32.o
@@ -25,14 +26,14 @@ radeon-objs += radeon_ioc32.o
 endif
 
 obj-$(CONFIG_DRM)	+= drm.o
-obj-$(CONFIG_DRM_GAMMA) += gamma.o
+obj-$(CONFIG_DRM_GAMMA)	+= gamma.o
 obj-$(CONFIG_DRM_TDFX)	+= tdfx.o
 obj-$(CONFIG_DRM_R128)	+= r128.o
 obj-$(CONFIG_DRM_RADEON)+= radeon.o
 obj-$(CONFIG_DRM_MGA)	+= mga.o
 obj-$(CONFIG_DRM_I810)	+= i810.o
 obj-$(CONFIG_DRM_I830)	+= i830.o
-obj-$(CONFIG_DRM_I915)  += i915.o
-obj-$(CONFIG_DRM_FFB)   += ffb.o
-obj-$(CONFIG_DRM_SIS)   += sis.o
-
+obj-$(CONFIG_DRM_I915)	+= i915.o
+obj-$(CONFIG_DRM_FFB)	+= ffb.o
+obj-$(CONFIG_DRM_SIS)	+= sis.o
+obj-$(CONFIG_DRM_VIA)	+= via.o
_
